Application Gateways - List Available Response Headers
Service:
Application Gateway
Version de l’API:
2025-03-01
Répertorie tous les en-têtes de réponse disponibles.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/applicationGatewayAvailableResponseHeaders?api-version=2025-03-01
Paramètres d’URI
Nom
Dans
Obligatoire
Type
Description
subscriptionId
path
True
string
Informations d’identification de l’abonnement qui identifient de manière unique l’abonnement Microsoft Azure. L’ID d’abonnement fait partie de l’URI de chaque appel de service.
api-version
query
True
string
Version de l’API client.
Réponses
Nom
Type
Description
200 OK
string[]
Opération réussie. L’opération renvoie une liste de tous les en-têtes de réponse disponibles.
GET https://management.azure.com/subscriptions/72f988bf-86f1-41af-91ab-2d7cd0dddd4/providers/Microsoft.Network/applicationGatewayAvailableResponseHeaders?api-version=2025-03-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.network import NetworkManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-network
# USAGE
python application_gateway_available_response_headers_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = NetworkManagementClient(
credential=DefaultAzureCredential(),
subscription_id="72f988bf-86f1-41af-91ab-2d7cd0dddd4",
)
response = client.application_gateways.list_available_response_headers()
print(response)
# x-ms-original-file: specification/network/resource-manager/Microsoft.Network/stable/2025-03-01/examples/ApplicationGatewayAvailableResponseHeadersGet.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Network.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Network;
// Generated from example definition: specification/network/resource-manager/Microsoft.Network/stable/2025-03-01/examples/ApplicationGatewayAvailableResponseHeadersGet.json
// this example is just showing the usage of "ApplicationGateways_ListAvailableResponseHeaders" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SubscriptionResource created on azure
// for more information of creating SubscriptionResource, please refer to the document of SubscriptionResource
string subscriptionId = "72f988bf-86f1-41af-91ab-2d7cd0dddd4";
ResourceIdentifier subscriptionResourceId = SubscriptionResource.CreateResourceIdentifier(subscriptionId);
SubscriptionResource subscriptionResource = client.GetSubscriptionResource(subscriptionResourceId);
// invoke the operation and iterate over the result
await foreach (string item in subscriptionResource.GetAvailableResponseHeadersApplicationGatewaysAsync())
{
Console.WriteLine($"Succeeded: {item}");
}
Console.WriteLine("Succeeded");